Loading...
Searching...
No Matches
ON_3dmApplication Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h>`

## Public Member Functions

| ON_3dmApplication ()
| ON_3dmApplication (const ON_3dmApplication &)
| ~ON_3dmApplication ()
ON_3dmApplication & | operator= (const ON_3dmApplication &)
void | Default ()
ON_BOOL32 | IsValid () const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_BOOL32 | Write (ON_BinaryArchive &) const
void | Dump (ON_TextLog &) const

## Public Attributes

ON_wString | m_application_name
ON_wString | m_application_URL
ON_wString | m_application_details

## Detailed Description

Definition at line 95 of file opennurbs_3dm_properties.h.

## Constructor & Destructor Documentation

## ON_3dmApplication() [1/2]

ON_3dmApplication::ON_3dmApplication | ( |  | ) |

## ON_3dmApplication() [2/2]

ON_3dmApplication::ON_3dmApplication | ( | const ON_3dmApplication & |  | ) |

## ~ON_3dmApplication()

ON_3dmApplication::~ON_3dmApplication | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmApplication::Default | ( |  | ) |

## Dump()

void ON_3dmApplication::Dump | ( | ON_TextLog & |  | ) | const

## IsValid()

ON_BOOL32 ON_3dmApplication::IsValid | ( |  | ) | const

## operator=()

ON_3dmApplication & ON_3dmApplication::operator= | ( | const ON_3dmApplication & |  | ) |

## Read()

ON_BOOL32 ON_3dmApplication::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

ON_BOOL32 ON_3dmApplication::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_application_details

ON_wString ON_3dmApplication::m_application_details

Definition at line 114 of file opennurbs_3dm_properties.h.

## m_application_name

ON_wString ON_3dmApplication::m_application_name

Definition at line 112 of file opennurbs_3dm_properties.h.

## m_application_URL

ON_wString ON_3dmApplication::m_application_URL

Definition at line 113 of file opennurbs_3dm_properties.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h